> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # List segments > Used to get a list of segments. For more information on segments review our [segmentation guide](https://docs.xtremepush.com/docs/segmentation). ## OpenAPI ````json POST /list/segment { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/list/segment": { "post": { "summary": "List segments", "description": "Used to get a list of segments.\n\nFor more information on segments review our [segmentation guide](https://docs.xtremepush.com/docs/segmentation).", "operationId": "segment-list", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "limit": { "type": "integer", "format": "int32", "description": "Used with *offset* for pagination" }, "offset": { "type": "integer", "format": "int32", "description": "Used with *limit* for pagination" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "code": { "type": "integer", "example": "200", "default": "0" }, "success": { "type": "boolean", "example": "true", "default": "true" }, "data": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "example": "SEGMENT_ID" }, "title": { "type": "string", "example": "Test" }, "conditions": { "type": "object" } } } } } }, "examples": { "Result": { "value": { "code": "200", "success": "true", "data": [ { "id": "SEGMENT_ID", "title": "Test" }, { "id": "SEGMENT_ID", "title": "Test 2" } ] } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } } }, "tags": [ "Segmentation Methods" ] } } } } ````